<div class="page show">
  <div class="container">
    <h1 class="page__title">{{ movie.title }}</h1>
    <div class="show__section">
      <div class="show__header">
        <div class="show__poster">
          <img [src]="movie.poster_path" alt="logo" />
        </div>
        <p class="show__overview">
          {{ movie.overview || "We don't have description" }}
        </p>
      </div>
      <app-sidebar class="show__sidebar" title="Details">
        <app-sidebar-row
          *ngIf="movie.status"
          label="Status"
          [value]="movie.status"
        ></app-sidebar-row>
        <app-sidebar-row *ngIf="movie.runtime" label="Runtime">
          {{ movie.runtime | hours }}
        </app-sidebar-row>
        <app-sidebar-row *ngIf="movie.genres" label="Genres">
          <ul>
            <li
              *ngFor="let genre of movie.genres; let last = last"
              [routerLink]="['/movies', genre.id]"
              [queryParams]="{ genre: genre.name }"
              class="display-inline link"
            >
              <span *ngIf="!last">{{ genre.name }}, </span>
              <span *ngIf="last">{{ genre.name }}</span>
            </li>
          </ul>
        </app-sidebar-row>
        <app-sidebar-row *ngIf="movie.budget" label="Budget">
          {{ movie.budget | currency: 'USD':true:'2.0' }}
        </app-sidebar-row>
        <app-sidebar-row *ngIf="movie.revenue" label="Revenue">
          {{ movie.revenue | currency: 'USD':true:'2.0' }}
        </app-sidebar-row>
      </app-sidebar>
    </div>
    <div class="show__cast">
      <app-cast [cast]="cast"></app-cast>
    </div>
  </div>
</div>
